SHELL = /bin/sh

prefix=@prefix@
exec_prefix=@exec_prefix@
datadir=@datadir@
sysconfdir=@sysconfdir@
sbindir=@sbindir@
lsbindir=@lsbindir@

includedir=${prefix}/include
mandir=${prefix}/man
libdir=${exec_prefix}/lib
bindir=${exec_prefix}/bin

srcdir=@srcdir@
top_srcdir=@top_srcdir@
BUILDTOP=../..
VPATH=@srcdir@
CC=@CC@
INSTALL=@INSTALL@

CPPFLAGS=@CPPFLAGS@
CFLAGS=@CFLAGS@ -DPREFIX=\"$(prefix)\"
ALL_CFLAGS=${CFLAGS} -I${top_srcdir}/h -I${BUILDTOP}/h @X_CFLAGS@ ${CPPFLAGS}
LDFLAGS=-L${BUILDTOP}/lib @LDFLAGS@
LIBS=-lzephyr -lss @LIBS@ -lcom_err

OBJS=	zrepeat.o

all: zrepeat

zrepeat: ${OBJS} ${BUILDTOP}/lib/libzephyr.a
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LIBS}

.c.o:
	${CC} -c ${ALL_CFLAGS} $<

check:

install: zrepeat
	${INSTALL} -m 755 -s zrepeat ${DESTDIR}${bindir}
	${INSTALL} -m 755 -s zrepeat ${DESTDIR}${bindir}/zprepeat

clean:
	rm -f ${OBJS} zrepeat

${OBJS}: ${top_srcdir}/h/sysdep.h ${BUILDTOP}/h/config.h
${OBJS}: ${BUILDTOP}/h/zephyr/zephyr.h ${BUILDTOP}/h/zephyr/zephyr_err.h

.PHONY: all check install clean

